package main

import (
	"net/http"

	"git.tovijaeschke.xyz/tovi/SuddenImpactRecords/Api"
	"git.tovijaeschke.xyz/tovi/SuddenImpactRecords/Database"

	"github.com/gorilla/mux"
)

func main() {
	var (
		router *mux.Router
	)

	Database.Init()

	router = Api.InitApiEndpoints()

	// TODO: Run this within goroutine when running vue application
	// Start and listen to requests
	http.ListenAndServe(":8081", router)
}
